/// <reference types="node" />
import { Request, Response, NextFunction } from 'express';
import { Interaction } from './Interaction';
import { IncomingHttpHeaders } from 'http';
export declare function validateInteraction(publicKey: string, server?: string): (req: Request, res: Response, next: NextFunction) => Promise<Response<any, Record<string, any>> | undefined>;
export declare function validateRequest(publicKey: string, body: Interaction, headers: ({
    'x-signature-ed25519': string;
    'x-signature-timestamp': string;
} & Record<string | number, unknown>) | IncomingHttpHeaders): Promise<boolean>;
